package org.rcisoft.business.bspace.dao;

import org.rcisoft.core.base.CyBaseMapper;
import org.rcisoft.business.bspace.entity.BSpace;
import org.apache.ibatis.annotations.ResultMap;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;
import org.rcisoft.core.model.CyPageInfo;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.List;

/**
* Created with cy on 2020-7-13 9:26:39.
*/
@Repository
public interface BSpaceRepository extends CyBaseMapper<BSpace> {

    /**
    * 分页查询 bSpace
    *
    */
    @Select("<script>select * from b_space where 1=1 "
            + "<if test=\"delFlag !=null and delFlag != '' \">and del_flag = #{delFlag} </if> "
            + "<if test=\"flag !=null and flag != '' \">and flag = #{flag} </if> "
            + "</script>")
    @ResultMap(value = "BaseResultMap" )
    List<BSpace> queryBSpaces(BSpace bSpace);

    @Select("<script>select * from b_space where 1=1 "
            + "<if test=\"entity.delFlag !=null and entity.delFlag != '' \">and del_flag = #{entity.delFlag} </if> "
            + "<if test=\"entity.flag !=null and entity.flag != '' \">and flag = #{entity.flag} </if> "
            + "</script>")
    @ResultMap(value = "BaseResultMap" )
    IPage<BSpace> queryBSpacesPaged(CyPageInfo cyPageInfo, @Param("entity") BSpace bSpace);
}

