package org.rcisoft.business.bspace.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.rcisoft.business.bspace.entity.BSpace;
import org.rcisoft.core.model.CyPersistModel;
import org.rcisoft.core.aop.CyPageUtil;
import org.rcisoft.core.model.CyPageInfo;

import java.util.List;

/**
 * Created by cy on 2020-7-13 9:26:39.
 */
public interface BSpaceService {

    /**
    * 保存 
    * @param bSpace
    * @return
    */
    CyPersistModel persist(BSpace bSpace);

    /**
    * 删除 
    * @param bSpace
    * @return
    */
    CyPersistModel remove(BSpace bSpace);
    /**
    * 逻辑删除 
    * @param bSpace
    * @return
    */
    CyPersistModel removeLogical(BSpace bSpace);
    /**
    * 修改 
    * @param bSpace
    * @return
    */
    CyPersistModel merge(BSpace bSpace);

    /**
    * 根据id查询 
    * @param id
    * @return
    */
    BSpace findById(String id);

    /**
    * 分页查询 
    * @param bSpace
    * @return
    */
    IPage<BSpace> findAllByPagination(CyPageInfo<BSpace> paginationUtility,
                                      BSpace bSpace);


    /**
    * 查询list 
    * @param bSpace
    * @return
    */
    List<BSpace> findAll(BSpace bSpace);

}
