package org.rcisoft.business.bspace.entity;

import lombok.*;

import org.rcisoft.core.entity.CyIdEntity;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.io.Serializable;
import java.util.Date;
import java.util.List;
import com.baomidou.mybatisplus.annotation.TableName;

/**
* Created with cy on 2020-7-13 9:26:39.
*/
@Data
@TableName("b_space")
public class BSpace  extends CyIdEntity<BSpace> {



     /**
     * @desc 空间编号
     * @column space_id
     * @default 
     */
     private String spaceId;

     /**
     * @desc 空间名
     * @column space_name
     * @default 
     */
     private String spaceName;

     /**
     * @desc 域名
     * @column realm_name
     * @default 
     */
     private String realmName;


}

